void printc(char val);
void printi(int val);

union sample {
  unsigned int i0:4;
  unsigned int i1:4;
  unsigned int i2:8;
};

int main()
{
  union sample s;

  printi(sizeof(union sample));
  printi(sizeof(s));

  s.i0 = 1;
  s.i1 = 10;
  s.i2 = 200;

  printi(s.i0);
  printi(s.i1);
  printi(s.i2);

  return 0;
}
